        !COMPILER-GENERATED INTERFACE MODULE: Mon Sep 29 10:19:18 2014
        MODULE AVGSER__genmod
          INTERFACE 
            SUBROUTINE AVGSER(RSERALL,N1,N2,RAVG,IERR,N1OFF)
              REAL(KIND=8) :: RSERALL(10000000,2)
              INTEGER(KIND=4) :: N1
              INTEGER(KIND=4) :: N2
              REAL(KIND=8) :: RAVG
              INTEGER(KIND=4) :: IERR
              INTEGER(KIND=4) :: N1OFF
            END SUBROUTINE AVGSER
          END INTERFACE 
        END MODULE AVGSER__genmod
